Subject: Re: bug#22896: 25.0.92; Pasting from system clipboard into tty emacs I-search minibuffer ends up in buffer instead

From: Ivan Shmakov <[email-masked]>
Date: Fri, 04 Mar 2016 20:20:15 +0000

>>>>> Zhiming Wang <[email-masked]> writes:

 > I'm running Emacs 25.0.92.1 on OS X 10.11.3 in tty mode (-nw) in
 > either Terminal.app or iTerm2.  Often times I would copy some text
 > from, say, a web page, and search it in the current buffer with
 > isearch-forward (C-s) or isearch-backward (C-r) by pasting the copied
 > text into the isearch minibuffer with Cmd+V.  This worked up till
 > 24.5, but in 25.0.92.1 (I haven't tested in other prereleases), Cmd+V
 > won't paste the system clipboard text into the minibuffer, but
 > instead, straight into the buffer at the point.

[…]

 > Actual behavior:

 > System clipboard text lands in the *scratch* buffer, while the
 > I-search minibuffer remains empty.

 > Unfortunately this is rather disrupting to some of my workflows.
 > Thanks for your time.

	Could you please try and see if setting select-enable-clipboard
	to nil resolves your issue?  (I assume there may be some bug in
	the 'select code, but if anything, this setting could be used as
	a workaround.)

-- 
FSF associate member #7257  http://am-1.org/~ivan/      … 3013 B6A0 230E 334A